#!/usr/local/bin/tclsh

source ./gscope_outils.tcl

proc RenommeStephane {} {
    cd "s:/Phototheque/Stephane"
    set Ici [pwd]
    foreach R [lsort [glob -nocomplain Stephane*]] {
	regsub "Stephane" $R "" Annee
	cd "$Ici/$R"
	foreach F [lsort [glob -nocomplain "*.jpg"]] {

	    if { ! [regexp {_[0-9]{2}\.jpg} $F]} { continue }
	    regsub "_" $F "_0" Nom
	    file rename $F $Nom	    
	}
    }
}
FaireLire "Ce programme n'est pas a jour !"
exit

proc Espionne Texte {
    puts $Texte
    return $Texte
}

proc RenommeDe10En10 RexpSource {
    foreach Source [glob -nocomplain $RexpSource] {
	regsub {\.jpg} $Source "0.jpg" Destin 
	file rename $Source $Destin
    }
}

proc Renomme {RexpSource QuoiSource QuoiDestin} {
    
    set Sortie {}
    foreach Source [glob -nocomplain $RexpSource] {
	set Queue [file tail $Source]
	set Reper [file dirname $Source]
	regsub $QuoiSource $Queue $QuoiDestin Nouveau

	Espionne $Reper
	if {[string equal $Reper "."]} {
	    set Destin $Nouveau
	} else {
	    set Destin "$Reper/$Nouveau"
	}

	if {[string equal $Source $Destin]} { continue }

	lappend Sortie [list $Source $Nouveau] 
	file rename $Source $Destin
    }
    return $Sortie
}


if {[OuiOuNon "Attention de verifier le contenu de ce fichier. Je stoppe ?"]} {exit}
Renomme "s:/Phototheque/Copains/VeroEtDim/ParSophie/*.jpg" "S5K" "S5J" 
#RenommeDe10En10 "s:/Phototheque/Wiosna/Rzeszow/ScanRzeszow/A*.jpg"

exit

